#
# spec file for package python-atlassian-python-api
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-atlassian-python-api
Version:        1.15.6
Release:        bp155.2.11
Summary:        Python Atlassian REST API Wrapper
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/atlassian-api/atlassian-python-api
Source:         https://files.pythonhosted.org/packages/source/a/atlassian-python-api/atlassian-python-api-%{version}.tar.gz
BuildRequires:  %{python_module kerberos}
BuildRequires:  %{python_module oauthlib}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests-oauthlib}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-kerberos
Requires:       python-oauthlib
Requires:       python-requests
Requires:       python-requests-oauthlib
Requires:       python-six
Suggests:       python-kerberos
BuildArch:      noarch
%python_subpackages

%description
Python Atlassian REST API Wrapper

%prep
%setup -q -n atlassian-python-api-%{version}

%build
%python_build

%install
%python_install
%python_expand rm -r %{buildroot}%{$python_sitelib}/tests
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Mar 20 2020 steven.kowalik@suse.com
- Update to 1.15.6:
  * Bamboo examples and Confluence fix of params (#464)
  * Added parameter for user() method: (#465)
  * Check for if an element is a valid email (#466)
  * Ability of adding reviewers when opening a PR (#470)
  * Util method to convert a nested dictionary into an HTML table with header
    row and header column (#473)
  * Bamboo examples (#474)
  * Add ability of deleting a pull request (#472)
* Mon Mar  2 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.15.4
  * New release with new methods for the Bamboo, Bitbucket methods
  * New release with new methods for the Bitbucket:
    + Bitbucket: conditions. reviewers
    + Confluence: move actions and reorder pages
    + Jira: Update Rank issues
  * This release include minor method polishes and a new methods related to the audit records
  * Confluence, Jira new methods
  * Continue improve Bitbucket cloud version
  * Bitbucket - branch permissions and commit related methods
  * Confluence - better log wrapping (get page_titile)
  * Bitbucket - methods related to the ssh key fetchings
  * Bamboo new methods related to the projects and build queue.
  * Jira bug fix a few method.
  * Polishes.
* Fri Jan 17 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.14.9
  * Python 3.8 CI build added.
  * A new Tempo method
  * Include title in determining if there is a difference
  * Fetch SSH keys information for projects and repos
  * Provide 2 methods with semantic correct naming
  * Add Ability to expand status for membership list
  * Add test LFS fetch method
  * Bitbucket: set default brnach name method
  * added get/set repo settings
  * Python 3.7 CI build added.
  * Add get_repo and delete_repo functions
  * Optional Kerberos dependency
* Thu Sep 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.13.31:
  * no changelog provided
* Tue Sep 17 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.13.29:
  * no changelog provided
- Do not install tests
- Run tests
* Fri Aug  9 2019 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 1.13.27)
